use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my @programs_to_install = 
  qw(
     oddb-dbi2desktop oddb-xml2desktop oddb-locate-globs 
     oddb-desktop2dbi oddb-project2dbi oddb-xml2dbi
     mkdesktophdicons mkdesktopneticons
    );

WriteMakefile(
    'NAME'		=> 'Desktop',
    'VERSION_FROM'	=> 'Desktop.pm', # finds $VERSION
    'PREREQ_PM'		=> { 
			    Text::Unaccent=>0,
			    DBD::Pg=>0,
			   }, # e.g., Module::Name => 1.1
    'EXE_FILES'         => [ map {"bin/$_"} @programs_to_install ],
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'Desktop.pm', # retrieve abstract from module
       AUTHOR     => 'Ziga Kranjec <ziga@ljudmila.org>, Luka Frelih <luka@ljudmila.org>') : ()),
);
